質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.45%
Haskell

Haskellは高い機能性をもった関数型プログラミング言語で、他の手続き型プログラミング言語では難しいとされている関数でも容易に行うことができます。強い静的型付け、遅延評価などに対応しています。

Q&A

解決済

2回答

2995閲覧

networkパッケージがうまく機能しない

Abyss_in_Light

総合スコア17

Haskell

Haskellは高い機能性をもった関数型プログラミング言語で、他の手続き型プログラミング言語では難しいとされている関数でも容易に行うことができます。強い静的型付け、遅延評価などに対応しています。

0グッド

0クリップ

投稿2019/01/07 06:23

編集2019/01/07 11:11

前提・実現したいこと

https://qiita.com/yoppa/items/fe21d7136f8f3aafd55c

上記の記事を参考にTidalCyclesの導入を行っていましたが、最後の「5. Atomの起動、動作テスト」の所で
ghc.exe: unable to load package 'network-2.8.0.0'

というエラーが発生してしまい、導入テストができなかったため、その解決を行いたいです。

発生している問題・エラーメッセージ

ghc.exe: unable to load package `network-2.8.0.0' Variable not in scope: tidal :: Stream Variable not in scope: asap :: ControlPattern -> c Variable not in scope: p :: [Char] -> t

試したこと

・元々、Chocolateyを用いてTidalCyclesのインストールを行っていた際に、いくつかのパッケージが正しくインストールされなかったため
(具体的には先ほど挙げているnetworkパッケージ、Tidalの名前を冠していたもの(恐らく追加ファイルのようなものだと思われます)がインストールできていませんでした)、これが原因と推測しそれらを個別でCygwinでインストールしました。

→解決せず

ちなみにそのときのエラーコードはこのようなものでした。

(実際に出たエラーコードは若干バージョンが違うなどの差異がありましたが、殆ど同じエラーコードであったことを確認しています。)

cabal.exe: Error: some packages failed to install: hosc-0.16-KRLcX3bJjci5m0Ti6wrjEF depends on hosc-0.16 which failed to install. network-2.7.0.2-HRKpEmrZF0Z7oBCs9x5PCR failed during the configure step. The exception was: ExitFailure 1 streaming-commons-0.2.1.0-IOTa8Wyc6UUHltqRxcWw4C depends on streaming-commons-0.2.1.0 which failed to install. tidal-0.9.9-BrGVDMNo7ZRGkyCj7kZy6B depends on tidal-0.9.9 which failed to install. websockets-0.12.5.1-BVlcHX8FGZUCNl5SOaDjAU depends on websockets-0.12.5.1 which failed to install.

※引用元:https://github.com/tidalcycles/tidal-chocolatey/issues/1

・インストールを行った後、コンピュータの再起動を何度か行いました。
→解決せず

・「cabal install tidal」といったコマンドがchocolateyを用いてインストールを行っていた際に自動で実行されていることを発見したため、このコマンドを手動で打ち直し、再度インストールを試みました。
→解決せず

今現在もいろいろ試しているのですが、一向に解決しません。
もしよければ何かアドバイスをいただけると幸いです。

何卒宜しくお願い致します。

補足情報(FW/ツールのバージョンなど)

実行環境

・Tidal v1.05

・TidalCycles v0.99

・SuperCollider v3.93

・Atom v1.331

・cabal v2.4.1.0

・ghc v8.6.2


また、これはあまり関係ないかもしれないのですが、試したことに記載してあるようにインストールを再度行おうとしたら必ずこのような警告文が出ていました。

Please switch to using either the new project style and the new-install command or the legacy v1-install alias as new-style projects will become the default in the next version of cabal-install. Please file a bug if you cannot replicate a working v1- use case with the new-style commands.

[2019/01/07 17:00 追記]こちらの方に、設定した環境変数の情報を追記しておきます。

設定した環境変数
(今回chocolateyを用いてインストールしたものは「chocolatey」「tools」フォルダに格納されています)


[2019/01/07 20:10 追記]
隠しファイルであるprogramdataフォルダの中にある「chocolatey」フォルダを除いていると、一つ奇妙な点が出てきました。

「chocolatey」フォルダの中身には「tools」というフォルダがあるのですが、ここに非解凍のフォルダが一つ存在するのを見つけました。

これが原因でそもそものインストールがうまくいってないのかもしれませんが、今回初めてこのようなツールを使うため、何か不都合な問題が生じないように、今現在では特に変更を加えてはいません。
イメージ説明

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

igrep

2019/01/07 07:03

GHCのバージョンは8.6.2ですよね?(8.62というバージョンはないので)
Abyss_in_Light

2019/01/07 07:04

大変申し訳ありません。 こちらのミスでそのような記述になっておりました。 すぐに修正いたします。 ご指摘ありがとうございます。
guest

回答2

0

自己解決

試行錯誤していると自己解決することができましたので、行った手順を報告いたします。

わたくしのように環境構築に同じように困っている方に参考にしていただけると望外の喜びです。

解決方法

1.まず、Haskell Platformを別でインストールしました。
Haskell Platform

2.次に、インストールしたHaskell Platformに
「コントロールパネル」→「システム」→「システムの詳細設定」→「環境変数」→「Path(ユーザー環境変数)」
で、以下のようにパスを通しました。

C:\Program Files\Haskell Platform\8.6.3\msys\usr\bin

3.そして、Atomにインストールしたtidalcyclesのパッケージ(このパッケージがインストールできていない場合、「Setting」→「Install」より検索を行い、各自パッケージをインストールしてください。)のghciへのパスを以下のように設定しました。

イメージ説明

stack exec ghci

4.そして、上記サイト様の手順を再度試すと、無事音が鳴りました!

このようにしてわたくしは問題を解決することができました!
ぜひ参考にしていただけると幸いです!

最後に、ありがたいご指摘・アドバイスをくださったigrep様へ、厚く御礼申し上げます。

それでは、失礼します!

投稿2019/01/09 12:29

Abyss_in_Light

総合スコア17

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Abyss_in_Light

2019/01/23 00:11

コメントありがとうございます! たいへん有難いです!行き詰まった際はぜひ拝見させていただきます!
guest

0

普段GHCをchocolateyでインストールすることがないので確信が持てないのですが、言及しているページのコメントでほかの方が解決した問題と似ているように聞こえます。
https://qiita.com/yoppa/items/fe21d7136f8f3aafd55c#comment-b568fc7ecb423b9bc2ce
もしHaskell Platformをchocolateyとは別にインストールしていた場合、
C:\Program Files\Haskell Platform\8.6.2\msys\usr\bin
をPATHに追加するだけで解決するかもしれません。

あるいは、例の Please switch to using either the new project style and the new-install... という警告のとおり、 cabal new-install tidal も試してみてください。

投稿2019/01/07 07:24

igrep

総合スコア428

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Abyss_in_Light

2019/01/07 09:09 編集

こんにちは。 素早いご回答ありがとうございます。 Haskell Platformの方は特に別でインストールするようなことはしていなかったため、先ほど`cabal new-install tidal`の方をPowerShellで実行し、同じように手順に沿って動作テストを行ってみましたが、解決には至らず、同じエラーが出てしまいました... こんな場合、Haskell Platformをインストールするか別の手段でインストールしたほうが良いのでしょうか...?
igrep

2019/01/08 01:37

先ほどの回答でも触れたとおり、私を含め最近のHaskell開発者が行わないような方法でGHCをインストールしようとしているため、確かに今の方法ではサポートしにくいです。 時間のあるときにstackでのインストールも試してみようかと思います。 おそらくその場合、stackがインストールしたGHCのパスをどうやって各種エディタの拡張に認識させるか、といったところが課題になります。
Abyss_in_Light

2019/01/08 13:06

返答ありがとうございます。 そうでしたか...いえいえ、わざわざこちらのために時間を割いていただき、誠にありがとうございます。 もしigrep様の環境で実行ができた場合はよければお教えくださると幸いです。 こちらでも一度別でHaskell Platformをインストールしてパスを通した状態でもう一度トライしてみます!
Abyss_in_Light

2019/01/09 12:32

自己解決にも書いてある通り、Haskell Platformを別でインストールしたのち、「stack exec ghci」を通すと解決することができました! ここまで相談に乗ってくださり、誠にありがとうございました!
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.45%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問